Apple macOS APFS methodVolumeCreate Use-After-Free Privilege Escalation Vulnerability

2018-07-10T00:00:00
ID ZDI-18-602
Type zdi
Reporter Mac
Modified 2018-06-22T00:00:00

Description

This vulnerability allows local attackers to escalate privileges on vulnerable installations of Apple macOS. An attacker must first obtain the ability to execute low-privileged code on the target system in order to exploit this vulnerability. The specific flaw exists within the handling of APFS. The issue results from the lack of validating the existence of an object prior to performing operations on the object. An attacker can leverage this vulnerability to escalate privileges and execute code as the kernel.